package com.vaadin.demo.tutorial.addressbook.ui;

import com.vaadin.ui.Component;
import com.vaadin.ui.Field;
import com.vaadin.ui.FormLayout;
import com.vaadin.ui.VerticalSplitPanel;

@SuppressWarnings("serial")
public class ListView extends VerticalSplitPanel {

  public ListView(PersonList personList, PersonFieldGroup personForm) {
    addStyleName("view");
    setFirstComponent(personList);
    setSecondComponent(buildPersonForm(personForm));
    setSplitPosition(40);
  }

  private Component buildPersonForm(PersonFieldGroup fieldGroup) {
    FormLayout layout = new FormLayout();

    // Loop through the properties, build fields for them and add the fields
    // to this UI
    for (Object propertyId : fieldGroup.getUnboundPropertyIds()) {
      Field<?> field = fieldGroup.buildAndBind(propertyId);
      layout.addComponent(field);
    }

    layout.addComponent(fieldGroup.getFooter());

    return layout;
  }
}